Uploaded image for project: 'FreeNAS / TrueNAS'
  1. FreeNAS / TrueNAS
  2. NAS-105735

Jail mount point failure

    XMLWordPrintable

    Details

      Description

      Got this trying to fix plex jail

      ```Error: Traceback (most recent call last):
      File "/usr/local/lib/python3.7/site-packages/middlewared/plugins/jail.py", line 1275, in fstab
      dump, _pass, index=index
      File "/usr/local/lib/python3.7/site-packages/iocage_lib/iocage.py", line 1135, in fstab
      index=index
      File "/usr/local/lib/python3.7/site-packages/iocage_lib/ioc_fstab.py", line 86, in _init_
      self._fstab_parse_()
      File "/usr/local/lib/python3.7/site-packages/iocage_lib/ioc_fstab.py", line 128, in _fstab_parse_
      self._validate_fstab_([self.mount], actions=['replace'])
      File "/usr/local/lib/python3.7/site-packages/iocage_lib/ioc_fstab.py", line 316, in _validate_fstab_
      exception=iocage_lib.ioc_exceptions.ValidationFailed
      File "/usr/local/lib/python3.7/site-packages/iocage_lib/ioc_common.py", line 103, in logit
      callback(content, exception)
      File "/usr/local/lib/python3.7/site-packages/iocage_lib/ioc_common.py", line 76, in callback
      raise callback_exception(message)
      iocage_lib.ioc_exceptions.ValidationFailed: ['Dump: ro must be a digit!', 'Dump: ro must be one digit long!']

      During handling of the above exception, another exception occurred:

      Traceback (most recent call last):
      File "/usr/local/lib/python3.7/site-packages/middlewared/main.py", line 130, in call_method
      io_thread=False)
      File "/usr/local/lib/python3.7/site-packages/middlewared/main.py", line 1095, in _call
      return await run_method(methodobj, *args)
      File "/usr/local/lib/python3.7/site-packages/middlewared/main.py", line 1019, in _run_in_conn_threadpool
      return await self.run_in_executor(self.__ws_threadpool, method, *args, **kwargs)
      File "/usr/local/lib/python3.7/site-packages/middlewared/main.py", line 1007, in run_in_executor
      return await loop.run_in_executor(pool, functools.partial(method, *args, **kwargs))
      File "/usr/local/lib/python3.7/concurrent/futures/thread.py", line 57, in run
      result = self.fn(*self.args, **self.kwargs)
      File "/usr/local/lib/python3.7/site-packages/middlewared/schema.py", line 965, in nf
      return f(*args, **kwargs)
      File "/usr/local/lib/python3.7/site-packages/middlewared/plugins/jail.py", line 1287, in fstab
      raise CallError(e.message)
      middlewared.service_exception.CallError: [EFAULT] Dump: ro must be a digit!
      Dump: ro must be one digit long!
      ```

        Attachments

          Attachments

            Activity

              People

              Assignee:
              waqar Waqar Ahmed
              Reporter:
              gcs8 charles selfridge
              Votes:
              0 Vote for this issue
              Watchers:
              3 Start watching this issue

                Dates

                Due:
                Created:
                Updated:
                Resolved:

                  Summary Panel